6.0.0-git
2019-03-18

[#11397] Daily recurrence leads to PHP errors
Summary Daily recurrence leads to PHP errors
Queue Kronolith
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-09-01 (2389 days ago)
Due
Updated 2012-10-15 (2345 days ago)
Assigned
Resolved 2012-09-01 (2389 days ago)
Milestone
Patch No

History
2012-10-15 20:36:13 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (develop):

commit 4103b40483fd467cece019f623d5dda940e821e4
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat Sep 1 13:07:29 2012 -0400

     Another place we need to check for empty 'old' value.

     Bug: 11397

  kronolith/lib/Driver/Sql.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/4103b40483fd467cece019f623d5dda940e821e4
2012-09-01 17:08:10 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 4103b40483fd467cece019f623d5dda940e821e4
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat Sep 1 13:07:29 2012 -0400

     Another place we need to check for empty 'old' value.

     Bug: 11397

  kronolith/lib/Driver/Sql.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/4103b40483fd467cece019f623d5dda940e821e4
2012-09-01 16:34:52 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
 
2012-09-01 16:34:41 Michael Rubinsky Comment #2 Reply to this comment

[Show Quoted Text - 12 lines]
2012-09-01 15:51:26 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Daily recurrence leads to PHP errors
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I open an existing event and add a daily recurrence. It should end 
after ten occurrences.

This is what I get in the logs:

2012-09-01T17:49:59+02:00 NOTICE: HORDE [kronolith] PHP ERROR: 
Undefined index: event_recurinterval [pid 30872 on line 576 of 
"/datastore/DEVEL/horde/kronolith/lib/Driver/Sql.php"]
2012-09-01T17:49:59+02:00 NOTICE: HORDE [kronolith] PHP ERROR: 
Undefined index: event_recurinterval [pid 30872 on line 578 of 
"/datastore/DEVEL/horde/kronolith/lib/Driver/Sql.php"]
2012-09-01T17:49:59+02:00 NOTICE: HORDE [kronolith] PHP ERROR: 
Undefined index: event_recurenddate [pid 30872 on line 576 of 
"/datastore/DEVEL/horde/kronolith/lib/Driver/Sql.php"]
2012-09-01T17:49:59+02:00 NOTICE: HORDE [kronolith] PHP ERROR: 
Undefined index: event_recurenddate [pid 30872 on line 578 of 
"/datastore/DEVEL/horde/kronolith/lib/Driver/Sql.php"]
2012-09-01T17:49:59+02:00 NOTICE: HORDE [kronolith] PHP ERROR: 
Undefined index: event_recurcount [pid 30872 on line 576 of 
"/datastore/DEVEL/horde/kronolith/lib/Driver/Sql.php"]
2012-09-01T17:49:59+02:00 NOTICE: HORDE [kronolith] PHP ERROR: 
Undefined index: event_recurcount [pid 30872 on line 578 of 
"/datastore/DEVEL/horde/kronolith/lib/Driver/Sql.php"]
2012-09-01T17:49:59+02:00 NOTICE: HORDE [kronolith] PHP ERROR: 
Undefined index: event_exceptions [pid 30872 on line 576 of 
"/datastore/DEVEL/horde/kronolith/lib/Driver/Sql.php"]

Cheers,
Thomas

Saved Queries